using System;
using System.Collections.Generic;
using System.Text;

namespace GenerateIndices
{
    class Program
    {
        static void Main(string[] args)
        {
            int collrow = int.Parse(args[0]);
            int dim = collrow+1;

            string[] tmpStrTab = new string[dim];
            int compteur = 0;

            for (int j = 0; j < dim; j++)
            {
                for (int i = 0; i < dim; i++)
                {
                    if (i != 0)
                    {
                        tmpStrTab[compteur] += "-";
                    }
                    int index = i + j * dim;
                    tmpStrTab[compteur] += index.ToString("0000");
                }
                compteur++;
            }

            for (int k = 1; k <= compteur; k++)
            {
                Console.WriteLine(tmpStrTab[(dim) - k]);
            }
        }
    }
}
